﻿.MenuList {
    display: none;
    position: fixed;
    top: 80px;
    left: 0;
    background-color: #f0f1f5;
    z-index: 999;
}

.MenuList#CompanyMenuList {
    left: 325px;
}

.MenuList#TechnologyMenuList {
    left: 583.82px;
}

.MenuList#CsrMenuList {
    left: 713.23px;
}

.MenuList#NewsMenuList {
    left: 882.84px;
}

.MenuList#CareerMenuList {
    left: 1012.25px;
}

.MenuList#InvestorMenuList {
    padding: 50px 0;
    width: 100%;
}

.MenuList#InvestorMenuList .Center {
    margin: auto;
    width: clamp(1px, 100%, 1280px);
    display: flex;
    justify-content: space-between;
}

.MenuList#InvestorMenuList .Center>div {
    display: flex;
}

.MenuList#InvestorMenuList .Center .Title {
    padding: 10px 15px 10px 0;
}

.MenuList .MenuItem {
    position: relative;
    display: block;
    margin: -1px 0 0 0;
    padding: 15px 30px;
    color: #777;
    font-size: 16px;
}

.MenuList .MenuItem:hover {
    color: #000;
    background-color: #cccdd1;
}

.MenuList .MenuItem::before {
    content: "";
    position: absolute;
    bottom: 0;
    margin: 0 auto;
    display: block;
    width: calc(100% - 60px);
    height: 1px;
    background-color: rgba(0, 0, 0, 0.1);
}

.MenuList .MenuItem:nth-last-child(1)::before,
.MenuList .MenuItem:hover::before {
    background-color: transparent;
}

.MenuList#InvestorMenuList .MenuItem {
    padding: 10px 15px;
}

.MenuList#InvestorMenuList .MenuItem:hover {
    background-color: transparent;
}

.MenuList#InvestorMenuList .MenuItem::before,
.MenuList#InvestorMenuList .MenuItem:nth-last-child(1)::before,
.MenuList#InvestorMenuList .MenuItem:hover::before {
    left: 0;
    width: 1px;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
}

.MenuList#InvestorMenuList .MenuItem:hover::before {
    width: 5px;
}

@media screen and (max-width:1699px) {
    .MenuList#CompanyMenuList {
        left: 225px;
    }

    .MenuList#TechnologyMenuList {
        left: 463.82px;
    }

    .MenuList#CsrMenuList {
        left: 583.23px;
    }

    .MenuList#NewsMenuList {
        left: 741.84px;
    }

    .MenuList#CareerMenuList {
        left: 861.25px;
    }
}

@media screen and (max-width:1439px) {
    .MenuList#CompanyMenuList {
        left: 225px;
    }

    .MenuList#TechnologyMenuList {
        left: 411.82px;
    }

    .MenuList#CsrMenuList {
        left: 505.23px;
    }

    .MenuList#NewsMenuList {
        left: 629.83px;
    }

    .MenuList#CareerMenuList {
        left: 722.24px;
    }

    .MenuList#InvestorMenuList {
        padding: 30px;
    }

    .MenuList .MenuItem::before {
        margin: 0 15px 0 -15px;
        width: calc(100% - 30px);
    }

    .MenuList#InvestorMenuList .MenuItem::before,
    .MenuList#InvestorMenuList .MenuItem:nth-last-child(1)::before,
    .MenuList#InvestorMenuList .MenuItem:hover::before {
        margin: 0;
    }
}

@media screen and (max-width:1249px) {
    .MenuList {
        display: block;
        top: 60px;
        width: 100%;
        height: 100vh;
    }

    .MenuList#CompanyMenuList,
    .MenuList#TechnologyMenuList,
    .MenuList#CsrMenuList,
    .MenuList#NewsMenuList,
    .MenuList#CareerMenuList,
    .MenuList#InvestorMenuList {
        left: 100%;
    }

    .MenuList#InvestorMenuList {
        padding: 50px 9.3vw;
        height: calc(100vh - 60px);
        overflow: scroll;
    }

    .MenuList#InvestorMenuList .Center {
        flex-wrap: wrap;
    }

    .MenuList#InvestorMenuList .Center>div {
        flex-direction: column;
        width: 100%;
    }

    .MenuList#InvestorMenuList .Center .Title,
    .MenuList#InvestorMenuList .Center .Wapper {
        width: 100%;
    }

    .MenuList#InvestorMenuList .Center .Wapper .MenuItem {
        display: inline-block;
    }
}

@media screen and (max-width:767px) {
    .MenuList#InvestorMenuList {
        padding: 9.3vw 9.3vw 18vw 9.3vw;
    }
}